Index: data/branches/cegui0.8_ogre1.9/gui/looknfeels/SleekSpace.looknfeel
===================================================================
--- data/branches/cegui0.8_ogre1.9/gui/looknfeels/SleekSpace.looknfeel	(revision 11790)
+++ data/branches/cegui0.8_ogre1.9/gui/looknfeels/SleekSpace.looknfeel	(revision 11792)
@@ -868,28 +1065,27 @@
             <Layer>
                 <Section section="progress_lights">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
         </StateImagery>
     </WidgetLook>
-    
-    <!--
-    ***************************************************
-        SleekSpace/AlternateProgressBar
-    ***************************************************
-    -->
     <WidgetLook name="SleekSpace/AltProgressBar">
         <NamedArea name="ProgressArea">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="SleekSpace" image="AltProgressLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="2" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="SleekSpace" image="AltProgressRight" dimension="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="Height" ><UnifiedDim scale="1" offset="-4" type="Height" /></Dim>
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="SleekSpace/AltProgressLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="2" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <ImageDim dimension="Width" name="SleekSpace/AltProgressRight" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim offset="-4" scale="1" type="Height" />
+                </Dim>
             </Area>
         </NamedArea>
@@ -897,23 +1093,39 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image type="LeftEdge" imageset="SleekSpace" image="AltProgressLeft" />
-                <Image type="RightEdge" imageset="SleekSpace" image="AltProgressRight" />
-                <Image type="Background" imageset="SleekSpace" image="AltProgressMiddle" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="LeftEdge" name="SleekSpace/AltProgressLeft" />
+                <Image component="RightEdge" name="SleekSpace/AltProgressRight" />
+                <Image component="Background" name="SleekSpace/AltProgressMiddle" />
             </FrameComponent>
         </ImagerySection>
-        <ImagerySection name="progress_lights" >
-            <ImageryComponent>
-                <Area>
-                    <Dim type="LeftEdge" ><UnifiedDim scale="0" type="LeftEdge" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="0.1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image imageset="SleekSpace" image="AltProgressLight1" />
+        <ImagerySection name="progress_lights">
+            <ImageryComponent>
+                <Area>
+                    <Dim type="LeftEdge">
+                        <UnifiedDim scale="0" type="LeftEdge" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="0.1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="SleekSpace/AltProgressLight1" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Tiled" />
@@ -921,10 +1133,18 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><UnifiedDim scale="0.1" type="LeftEdge" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="0.1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image imageset="SleekSpace" image="AltProgressLight2" />
+                    <Dim type="LeftEdge">
+                        <UnifiedDim scale="0.1" type="LeftEdge" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="0.1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="SleekSpace/AltProgressLight2" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Tiled" />
@@ -932,10 +1152,18 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><UnifiedDim scale="0.2" type="LeftEdge" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="0.1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image imageset="SleekSpace" image="AltProgressLight3" />
+                    <Dim type="LeftEdge">
+                        <UnifiedDim scale="0.2" type="LeftEdge" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="0.1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="SleekSpace/AltProgressLight3" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Tiled" />
@@ -943,10 +1171,18 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><UnifiedDim scale="0.3" type="LeftEdge" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="0.1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image imageset="SleekSpace" image="AltProgressLight4" />
+                    <Dim type="LeftEdge">
+                        <UnifiedDim scale="0.3" type="LeftEdge" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="0.1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="SleekSpace/AltProgressLight4" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Tiled" />
@@ -954,10 +1190,18 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><UnifiedDim scale="0.4" type="LeftEdge" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="0.1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image imageset="SleekSpace" image="AltProgressLight5" />
+                    <Dim type="LeftEdge">
+                        <UnifiedDim scale="0.4" type="LeftEdge" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="0.1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="SleekSpace/AltProgressLight5" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Tiled" />
@@ -965,10 +1209,18 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><UnifiedDim scale="0.5" type="LeftEdge" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="0.1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image imageset="SleekSpace" image="AltProgressLight6" />
+                    <Dim type="LeftEdge">
+                        <UnifiedDim scale="0.5" type="LeftEdge" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="0.1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="SleekSpace/AltProgressLight6" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Tiled" />
@@ -976,10 +1228,18 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><UnifiedDim scale="0.6" type="LeftEdge" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="0.1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image imageset="SleekSpace" image="AltProgressLight7" />
+                    <Dim type="LeftEdge">
+                        <UnifiedDim scale="0.6" type="LeftEdge" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="0.1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="SleekSpace/AltProgressLight7" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Tiled" />
@@ -987,10 +1247,18 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><UnifiedDim scale="0.7" type="LeftEdge" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="0.1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image imageset="SleekSpace" image="AltProgressLight8" />
+                    <Dim type="LeftEdge">
+                        <UnifiedDim scale="0.7" type="LeftEdge" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="0.1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="SleekSpace/AltProgressLight8" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Tiled" />
@@ -998,10 +1266,18 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><UnifiedDim scale="0.8" type="LeftEdge" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="0.1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image imageset="SleekSpace" image="AltProgressLight9" />
+                    <Dim type="LeftEdge">
+                        <UnifiedDim scale="0.8" type="LeftEdge" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="0.1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="SleekSpace/AltProgressLight9" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Tiled" />
@@ -1009,10 +1285,18 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><UnifiedDim scale="0.9" type="LeftEdge" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="0.1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image imageset="SleekSpace" image="AltProgressLight10" />
+                    <Dim type="LeftEdge">
+                        <UnifiedDim scale="0.9" type="LeftEdge" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="0.1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="SleekSpace/AltProgressLight10" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Tiled" />
@@ -1027,5 +1311,5 @@
             <Layer>
                 <Section section="frame">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
@@ -1039,35 +1323,45 @@
             <Layer>
                 <Section section="progress_lights">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
         </StateImagery>
     </WidgetLook>
-    
-    <!--
-    ***************************************************
-        SleekSpace/VUMeter (progress bar)
-    ***************************************************
-    -->
     <WidgetLook name="SleekSpace/VUMeter">
         <Property name="VerticalProgress" value="True" />
         <NamedArea name="ProgressArea">
             <Area>
-                <Dim type="LeftEdge" ><UnifiedDim scale="0" type="LeftEdge" /></Dim>
-                <Dim type="TopEdge" ><UnifiedDim scale="0" type="TopEdge" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
+                <Dim type="LeftEdge">
+                    <UnifiedDim scale="0" type="LeftEdge" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <UnifiedDim scale="0" type="TopEdge" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim scale="1" type="Width" />
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim scale="1" type="Height" />
+                </Dim>
             </Area>
         </NamedArea>
-        <ImagerySection name="progress_lights" >
-            <ImageryComponent>
-                <Area>
-                    <Dim type="LeftEdge" ><UnifiedDim scale="0" type="LeftEdge" /></Dim>
-                    <Dim type="TopEdge" ><UnifiedDim scale="0.5" type="TopEdge" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="0.5" type="Height" /></Dim>
-                </Area>
-                <Image imageset="SleekSpace" image="TextSelectionBrush" />
-                <Colours topLeft="FF00FF00" topRight="FF00FF00" bottomLeft="FF00FF00" bottomRight="FF00FF00" />
+        <ImagerySection name="progress_lights">
+            <ImageryComponent>
+                <Area>
+                    <Dim type="LeftEdge">
+                        <UnifiedDim scale="0" type="LeftEdge" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <UnifiedDim scale="0.5" type="TopEdge" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="0.5" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="SleekSpace/TextSelectionBrush" />
+                <Colours bottomLeft="FF00FF00" bottomRight="FF00FF00" topLeft="FF00FF00" topRight="FF00FF00" />
                 <VertFormat type="Tiled" />
                 <HorzFormat type="Stretched" />
@@ -1075,11 +1369,19 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><UnifiedDim scale="0" type="LeftEdge" /></Dim>
-                    <Dim type="TopEdge" ><UnifiedDim scale="0.2" type="TopEdge" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="0.3" type="Height" /></Dim>
-                </Area>
-                <Image imageset="SleekSpace" image="TextSelectionBrush" />
-                <Colours topLeft="FFFFFF00" topRight="FFFFFF00" bottomLeft="FFFFFF00" bottomRight="FFFFFF00" />
+                    <Dim type="LeftEdge">
+                        <UnifiedDim scale="0" type="LeftEdge" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <UnifiedDim scale="0.2" type="TopEdge" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="0.3" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="SleekSpace/TextSelectionBrush" />
+                <Colours bottomLeft="FFFFFF00" bottomRight="FFFFFF00" topLeft="FFFFFF00" topRight="FFFFFF00" />
                 <VertFormat type="Tiled" />
                 <HorzFormat type="Stretched" />
@@ -1087,11 +1389,19 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><UnifiedDim scale="0" type="LeftEdge" /></Dim>
-                    <Dim type="TopEdge" ><UnifiedDim scale="0" type="TopEdge" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="0.2" type="Height" /></Dim>
-                </Area>
-                <Image imageset="SleekSpace" image="TextSelectionBrush" />
-                <Colours topLeft="FFFF0000" topRight="FFFF0000" bottomLeft="FFFF0000" bottomRight="FFFF0000" />
+                    <Dim type="LeftEdge">
+                        <UnifiedDim scale="0" type="LeftEdge" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <UnifiedDim scale="0" type="TopEdge" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="0.2" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="SleekSpace/TextSelectionBrush" />
+                <Colours bottomLeft="FFFF0000" bottomRight="FFFF0000" topLeft="FFFF0000" topRight="FFFF0000" />
                 <VertFormat type="Tiled" />
                 <HorzFormat type="Stretched" />
@@ -1110,15 +1420,9 @@
             <Layer>
                 <Section section="progress_lights">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
         </StateImagery>
     </WidgetLook>
-    
-    <!--
-    ***************************************************
-        SleekSpace/SliderThumb
-    ***************************************************
-    -->
     <WidgetLook name="SleekSpace/SliderThumb">
         <Property name="HorzFree" value="True" />
@@ -1126,10 +1430,18 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1.0" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1.0" type="Height" /></Dim>
-                </Area>
-                <Image imageset="SleekSpace" image="HorzSliderThumbNormal" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1.0" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1.0" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="SleekSpace/HorzSliderThumbNormal" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
@@ -1139,10 +1451,18 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1.0" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1.0" type="Height" /></Dim>
-                </Area>
-                <Image imageset="SleekSpace" image="HorzSliderThumbHover" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1.0" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1.0" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="SleekSpace/HorzSliderThumbHover" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
@@ -1167,15 +1487,9 @@
             <Layer>
                 <Section section="normal">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
         </StateImagery>
     </WidgetLook>
-
-    <!--
-    ***************************************************
-        SleekSpace/VSliderThumb
-    ***************************************************
-    -->
     <WidgetLook name="SleekSpace/VSliderThumb">
         <Property name="VertFree" value="True" />
@@ -1183,10 +1497,18 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1.0" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1.0" type="Height" /></Dim>
-                </Area>
-                <Image imageset="SleekSpace" image="VertSliderThumbNormal" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1.0" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1.0" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="SleekSpace/VertSliderThumbNormal" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
@@ -1196,10 +1518,18 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1.0" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1.0" type="Height" /></Dim>
-                </Area>
-                <Image imageset="SleekSpace" image="VertSliderThumbHover" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1.0" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1.0" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="SleekSpace/VertSliderThumbHover" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
